PAM_SM_ACCT_MGMT(3) | Library Functions Manual | PAM_SM_ACCT_MGMT(3)

# NAME

`pam_sm_acct_mgmt` —
service module implementation for pam_acct_mgmt

# SYNOPSIS

`#include <sys/types.h>`
`#include <security/pam_appl.h>`
`#include <security/pam_modules.h>`

int
`pam_sm_acct_mgmt`(pam_handle_t *pamh, int flags, int argc, const char **argv);

# DESCRIPTION

The `pam_sm_acct_mgmt`() function is the service module's implementation of the pam_acct_mgmt(3) API function.

# RETURN VALUES

The `pam_sm_acct_mgmt`() function returns one of the following values:

[`PAM_SUCCESS`]
  Success.
[`PAM_ABORT`]
  General failure.
[`PAM_ACCT_EXPIRED`]
  User account has expired.
[`PAM_AUTH_ERR`]
  Authentication error.
[`PAM_BUF_ERR`]
  Memory buffer error.
[`PAM_CONV_ERR`]
  Conversation failure.
[`PAM_IGNORE`]
  Ignore this module.
[`PAM_NEW_AUTHTOK_REQD`]
  New authentication token required.
[`PAM_PERM_DENIED`]
  Permission denied.
[`PAM_SERVICE_ERR`]
  Error in service module.
[`PAM_SYSTEM_ERR`]
  System error.
[`PAM_USER_UNKNOWN`]
  Unknown user.

# SEE ALSO

pam(3), pam_acct_mgmt(3), pam_strerror(3)

# STANDARDS

X/Open Single Sign-On Service (XSSO) - Pluggable Authentication Modules, June 1997.

# AUTHORS

The `pam_sm_acct_mgmt`() function and this manual page were developed for the FreeBSD Project by ThinkSec AS and Network Associates Laboratories, the Security Research Division of Network Associates, Inc. under DARPA/SPAWAR contract N66001-01-C-8035 (“CBOSS”), as part of the DARPA CHATS research program.

The OpenPAM library is maintained by Dag-Erling Smørgrav <des@des.no>.

April 30, 2017 | NetBSD 9.5